import { ShapeSeriesBase } from "./ShapeSeriesBase";
import { ShapeAxisInfoCache } from "./ShapeAxisInfoCache";
import { StyleSelector } from "./StyleSelector";
import { Style } from "igniteui-react-core";
import { MarkerType } from "./MarkerType";
import { DataTemplate } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { CollisionAvoidanceType } from "./CollisionAvoidanceType";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { MarkerFillMode } from "./MarkerFillMode";
import { Rect } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { OwnedPoint } from "./OwnedPoint";
import { ShapeSeriesViewBase } from "./ShapeSeriesViewBase";
import { Marker } from "./Marker";
import { DataContext } from "igniteui-react-core";
import { IDictionary$2 } from "igniteui-react-core";
import { HashPool$2 } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { FrameworkElement } from "igniteui-react-core";
import { NumericMarkerManager } from "./NumericMarkerManager";
import { Size } from "igniteui-react-core";
import { PathGeometry } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ScatterPolygonSeries extends ShapeSeriesBase {
    static $t: Type;
    protected get_e3(): boolean;
    protected get_ey(): boolean;
    constructor();
    protected u9(): boolean;
    protected wb(a: SeriesView): void;
    xp(a: ScatterPolygonSeriesView): void;
    private w8;
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    w5: ScatterPolygonSeriesView;
    w6: ShapeAxisInfoCache;
    private static yc;
    private w3;
    private w4;
    protected get_hasMarkers(): boolean;
    sz(): Brush;
    s0(): Brush;
    qv(): DataTemplate;
    kx(): string;
    w7: StyleSelector;
    ye: Style;
    w2: MarkerType;
    xt: DataTemplate;
    xa: number;
    hs(): number;
    xr: DataTemplate;
    xs: DataTemplate;
    ya: Brush;
    x8: Brush;
    yb: Brush;
    x9: Brush;
    yd: Style;
    wt: CollisionAvoidanceType;
    private wy;
    get wz(): MarkerOutlineMode;
    set wz(a: MarkerOutlineMode);
    w1(): MarkerOutlineMode;
    qh(a: MarkerOutlineMode): void;
    w0: MarkerOutlineMode;
    private wu;
    get wv(): MarkerFillMode;
    set wv(a: MarkerFillMode);
    wx(): MarkerFillMode;
    qg(a: MarkerFillMode): void;
    qi(a: number): void;
    ww: MarkerFillMode;
    protected qd(): void;
    protected or(): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    au(a: Point, b: boolean): DataContext;
    xq(a: IDictionary$2<any, OwnedPoint>, b: HashPool$2<any, Marker>): void;
    ds(a: List$1<SeriesPointOfInterest>, b: boolean, c: boolean, d: number): boolean;
    ws(a: ScatterPolygonSeriesView, b: HashPool$2<any, Marker>, c: Point[], d: Rect, e: Rect): Point[];
    w9(a: HashPool$2<any, Marker>, b: List$1<number>): List$1<number>;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ScatterPolygonSeriesView extends ShapeSeriesViewBase {
    static $t: Type;
    constructor(a: ScatterPolygonSeries);
    au(): void;
    get dg(): NumericMarkerManager;
    dk: boolean;
    protected d2(a: IDictionary$2<any, OwnedPoint>): void;
    protected da(): Point[];
    protected dl(): List$1<number>;
    private db;
    private dm;
    private dh;
    private df;
    protected c5(a: number, b: List$1<PointCollection>): PathGeometry;
    cm(a: FrameworkElement, b: any, c: boolean): void;
    protected ck(a: FrameworkElement, b: PathGeometry): void;
    private dj;
    di: HashPool$2<any, Marker>;
    dw(a: (arg1: Marker) => void): void;
    dy(a: HashPool$2<any, Marker>): void;
    de(): Marker;
    protected dn: List$1<Marker>;
    b4(a: Point): Marker;
    private dd;
    d0(a: Marker): void;
    dz(a: Marker): void;
    d1(a: Marker): void;
    d3(a: boolean): void;
    protected bj(a: any, b: number): void;
    private dc;
    protected bk(a: any, b: number): void;
    protected a7(a: RenderingContext, b: boolean): void;
    dv(): void;
    ds(): void;
    dt(): void;
    dq(): void;
    du(): void;
    dr(): void;
    dp(a: string): void;
    dx(): void;
    private d4;
    d5(a: Marker): Size;
    an(a: any): void;
    getDefaultTooltipTemplate(): string;
}
